Page MenuHomePhabricator

Add new target hooks for LoadStoreVectorizer
ClosedPublic

Authored by volkan on Sep 19 2016, 8:18 AM.

Details

Summary

Added 6 new target hooks for the vectorizer in order to filter types, handle size constraints and decide how to split chains.

Diff Detail

Event Timeline

volkan updated this revision to Diff 71824.Sep 19 2016, 8:18 AM
volkan retitled this revision from to Add new target hooks for LoadStoreVectorizer.
volkan updated this object.
volkan added a reviewer: arsenm.
volkan added a subscriber: llvm-commits.
arsenm accepted this revision.Oct 2 2016, 8:49 PM
arsenm edited edge metadata.

LGTM, except for the fact that you seem to be adding getLoadStoreVecRegBitWidth again

include/llvm/Analysis/TargetTransformInfo.h
617–619

This is already present?

This revision is now accepted and ready to land.Oct 2 2016, 8:49 PM
volkan marked an inline comment as done.Oct 3 2016, 2:42 AM
volkan added inline comments.
include/llvm/Analysis/TargetTransformInfo.h
617–619

Yes, I just moved it above the new target hooks. Thanks!

volkan closed this revision.Oct 3 2016, 3:40 AM
volkan marked an inline comment as done.